;;; client.el --- Network clients. -*- lexical-binding: t; -*-

;; Time-stamp: <2020-05-27T04:11:23+0200>

;;; Commentary:

;;; Code:

(require 'basics/package-management)

;; Explore and test HTTP REST webservices.
(use-package restclient
  :mode ("\\.restclient$" . restclient-mode))

;; Company completion for restclient.
(use-package company-restclient
  :after (restclient company)
  :config (add-to-list 'company-backends 'company-restclient))

(use-package webpaste
  :commands (webpaste-paste-region webpaste-paste-buffer)
  :custom (webpaste-provider-priority '("dpaste.org" "dpaste.com"))
  :config (add-to-list
           'webpaste-providers-alist
           '("dpaste.org"
             :uri "https://dpaste.org/api/"
             :post-data (("expires" . 86400))
             :post-field "content"
             :post-lang-field-name "lexer"
             :lang-overrides ((emacs-lisp-mode . "clojure"))
             :success-lambda webpaste--providers-success-returned-string)))

;; Gemini and Gopher client.
(use-package elpher)

(provide 'net/client)
;;; client.el ends here
