;;; misc.el --- Miscellaneous programming languages. -*- lexical-binding: t; -*-

;; Time-stamp: <2020-09-30T18:16:18+0200>

;;; Commentary:
;; Programming languages and build systems that don't warrant a dedicated file.

;;; Code:

(require 'basics/package-management)

(use-package go-mode
  :mode ("\\.go$" . go-mode))

;; Qt Modeling Language.
(use-package qml-mode
  :mode ("\\.qml$" . qml-mode))

;; <https://github.com/cute-jumper/company-qml/issues/7>
;; ;; Completions for the Qt Modeling Language.
;; (use-package company-qml
;;   :after (company)
;;   :defines (company-backends)
;;   :config (add-to-list 'company-backends 'company-qml)
;;   )

(use-package lua-mode)

(use-package meson-mode)

(provide 'programming/misc)
;;; misc.el ends here
